svn2cl(1)

NAME
svn2cl - Create a ChangeLog from a subversion log.

SYNOPSIS
svn2cl [OPTION]... [PATH]...

DESCRIPTION
svn2cl generates a classic GNU-style ChangeLog from the log messages in a subversion repository. It acts as a wrapper around the `svn log' command, parsing the XML output with an XSLT stylesheet. Alternatively it can generate HTML output intended for use with the svn2html.css style sheet that comes with svn2cl. In addition to its own options, it accepts and passes along most svn log options; see `svn help log' for a list of those and their documentation. If PATH is not given, svn2cl will run svn log on the current directory, so it should do the right thing when run from the top of a subversion checkout of the project.

--strip-prefix=NAME
    Strip NAME from the first part of all file names (e.g. project/trunk). By defaults the current path inside the repository is stripped.

--linelen=NUM
    Wrap lines at NUM characters. By default, lines are wrapped at 75 characters. This option is ignored when the --html option is specified.

--group-by-day
    This option causes all commit messages to be grouped by day, as long as all the changes are by the same author. By default each message is listed separately with its own timestamp.

--separate-daylogs
    Include a blank line between log entries when they are grouped by day. Only useful with the --group-by-day option. This option is ignored when the --html option is specified, edit svn2html.css to tune the layout.

-i, --include-rev
    Include the subversion revision number in the ChangeLog. If the --html option is specified this is implied, edit svn2html.css to turn it off.

--break-before-msg
    Add a line break between the log paths and the log message. If the --html option is specified this is implied, edit svn2html.css to turn it off.

--reparagraph
    Newlines inside paragraphs are ignored and paragraphs are re-wrapped. Paragraphs are separated by empty lines.

-o, -f, --output=FILE, --file=FILE
    Output ChangeLog to FILE instead of the default ChangeLog (or ChangeLog.html for html output).

--stdout
    Output ChangeLog to stdout instead of to a file.

--authors=FILE
    The FILE is used to map author names as exported by svn to full names. An author file should look something like:
        <?xml version="1.0" encoding="utf-8"?>
        <authors>
          <author uid="arthur">
            Arthur de Jong &lt;arthur@ch.tudelft.nl&gt;
          </author>
        </authors>
    As a bonus an authors file that looks like the following is internally converted to the xml represantation:
        arthur:Arthur de Jong <arthur@ch.tudelft.nl>
    Note that the --authors option has pretty poor performance at the moment.

--html
    Generate an html file containing a ChangeLog instead of the default text ChangeLog file. This feature is still experimental. The svn2html.css file that is included in the distribution can be used to format the html.

-h, --help
    Show short summary of options.

-V, --version
    Show version of program.

Optional PATH arguments and the following options are passed directly to the `svn --xml log' command: -r, --revision, --targets, --stop-on-copy, --username, --password, --no-auth-cache, --non-interactive, --config-dir and --limit.
See `svn help log' for more information on these options.

EXAMPLES
Run svn log recursively on the current directory and generate a text ChangeLog file in the current directory for the entire log history:
    svn2cl Output the changes from the last week, while including revision numbers in the ChangeLog:
    svn2cl -i -r "HEAD:{`date -d '7 days ago' '+%F %T'`}"
(actually subversion will include the first revision before the specified period) Generate an HTML changelog for svn://svn.example.com/project/trunk, removing "project/trunk" from the file names in the changelog. Group all commits per day into one ChangeLog entry and only include changes from 2005:
    svn2cl --html --strip-prefix=project/trunk --group-by-day \
           -r '{2006-01-01}:{2005-01-01}' svn://svn.example.com/project/trunk

SEE ALSO
`svn help log'

COPYRIGHT
Copyright © 2005, 2006 Arthur de Jong <arthur@ch.tudelft.nl>.
This is free software; see the license for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.